package com.sundot.airport.item.domain;

import java.math.BigDecimal;

/**
 * 查获物品分类数量
 */
public class ItemSeizureCount {
    private static final long serialVersionUID = 1L;

    /**
     * 分类ID
     */
    private Long categoryId;
    /**
     * 分类编码
     */
    private String categoryCode;
    /**
     * 分类名称
     */
    private String categoryName;

    /**
     * 分类数量
     */
    private BigDecimal categoryCount;

    public Long getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(Long categoryId) {
        this.categoryId = categoryId;
    }

    public String getCategoryCode() {
        return categoryCode;
    }

    public void setCategoryCode(String categoryCode) {
        this.categoryCode = categoryCode;
    }

    public String getCategoryName() {
        return categoryName;
    }

    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }

    public BigDecimal getCategoryCount() {
        return categoryCount;
    }

    public void setCategoryCount(BigDecimal categoryCount) {
        this.categoryCount = categoryCount;
    }

    @Override
    public String toString() {
        return "ItemSeizureConut{" +
                "categoryId=" + categoryId +
                ", categoryCode='" + categoryCode + '\'' +
                ", categoryName='" + categoryName + '\'' +
                ", categoryCount=" + categoryCount +
                '}';
    }

}
